Update Webhook
Roles
Analytics Events
/v1/webhooks/{id}Updates an existing Webhook by providing its ID.
Analytic events
- WEBHOOK_UPDATE_START
- WEBHOOK_UPDATE_SUCCESS
- WEBHOOK_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Webhook ID
uuidRequest Body
application/json
Update Webhook
This array includes the event types that will trigger this Webhook. The following events are currently supported:
- OpenIdCredentialIssued: Triggered upon completion of an OpenID4VCI issuance flow and includes credential data.
- OpenIdCredentialIssuedSummary: Triggered upon completion of an OpenID4VCI issuance flow but does not include credential data.
- OidcIssuerCredentialIssued: Triggered upon completion of an OICD Bridge issuance flow.
This is the URL that will receive the Webhook events data payload when they are triggered by MATTR VII for the specified events:
- Must be a valid URL.
- Must use the HTTPS protocol.
- Must not be an IP address.
- Must not include query parameters or have fragments.
- Non-ASCII characters are normalized.
- Must return a 2xx response, otherwise it will go through a retry cycle and eventually fail.
uriIndicates whether or not the Webhook is disabled. When set to true the webhook is disabled, and notifications for events associated with it will not be sent. If no value is provided, defaults to false.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/webhooks/41458e5a-9092-40b7-9a26-d4eb43c5792f" \ -H "Content-Type: application/json" \ -d '{ "events": [ "OpenIdCredentialIssued" ], "url": "https://example.com" }'{
"id": "0c099611-19c4-4f29-8724-6b9e5ba1ef7c",
"events": [
"OpenIdCredentialIssued"
],
"url": "https://example.com",
"disabled": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve Webhook GET
Retrieve a specific Webhook by providing its ID. ### **Analytic events** * WEBHOOK_RETRIEVE_START * WEBHOOK_RETRIEVE_SUCCESS * WEBHOOK_RETRIEVE_FAIL
Delete Webhook DELETE
Deletes a Webhook by providing its ID. ### **Analytic events** * WEBHOOK_DELETE_START * WEBHOOK_DELETE_SUCCESS * WEBHOOK_DELETE_FAIL